﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Linq;
using System.Web;
using System.Web.Services;

/// <summary>
/// Summary description for WebService
/// </summary>
[WebService(Namespace = "http://tempuri.org/")]
[WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
// To allow this Web Service to be called from script, using ASP.NET AJAX, uncomment the following line. 
[System.Web.Script.Services.ScriptService]
public class WebService : System.Web.Services.WebService
{

    public WebService()
    {
    }


    [WebMethod]
    public int GetUploaders()
    {
        int uploaders = int.Parse(Application["Uploaders"].ToString());
        return uploaders;
    }

    [WebMethod]
    public void IncreaseUploaders()
    {
        int uploaders = int.Parse(Application["Uploaders"].ToString());
        uploaders = uploaders + 1;
        Application["Uploaders"] = uploaders;
    }

    [WebMethod]
    public void DecreaseUploaders()
    {
        int uploaders = int.Parse(Application["Uploaders"].ToString());
        uploaders = uploaders - 1;
        Application["Uploaders"] = uploaders;
    }
}
