﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <telerik:RadStyleSheetManager ID="RadStyleSheetManager1" runat="server" />
</head>
<body>
    <form id="form1" runat="server">
        <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
            <Scripts>
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.Core.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQuery.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQueryInclude.js" />
            </Scripts>
        </telerik:RadScriptManager>
        <script type="text/javascript">
            function OnClientFileUploading(sender, args) {
                var uploaders;

                //Get number of uploaders
                $.ajax({
                    type: 'POST',
                    contentType: "application/json; charset=utf-8",
                    url: 'http://localhost:50635/WebService.asmx/GetUploaders',
                    success: function (data) {
                        uploaders = data.d;
                    },
                    async: false
                });


                //If there are 10 uploaders then cancel file uploading
                if (uploaders > 2) {
                    args.set_cancel(true);
                }
                    //Increase uploaders number and start uploading
                else {
                    console.log('Increase');
                    $.ajax({
                        type: 'POST',
                        contentType: "application/json; charset=utf-8",
                        url: 'http://localhost:50635/WebService.asmx/IncreaseUploaders',
                        async: false
                    });
                }
            }

            function OnClientFileUploaded(sender, args) {
                //Decrease number of uploaders
                $.ajax({
                    type: 'POST',
                    contentType: "application/json; charset=utf-8",
                    url: 'http://localhost:50635/WebService.asmx/DecreaseUploaders',
                    async: false
                });
            }
        </script>
        <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
        </telerik:RadAjaxManager>
        <div>

            <telerik:RadAsyncUpload
                ID="RadAsyncUpload1"
                runat="server"
                OnClientFileUploading="OnClientFileUploading"
                OnClientFileUploaded="OnClientFileUploaded"
                TargetFolder="~/Uploads">
            </telerik:RadAsyncUpload>

        </div>
    </form>
</body>
</html>
